
# htonl

Converts an unsigned 32-bit long integer from host byte order to network byte order.

```
uint32_t htonl(uint32_t)
```

The `htonl` function converts an unsigned 32-bit long integer from host byte order to network byte order.

**Parent topic:**[DTrace Function Reference](../reference/dtrace_functions.md)

